Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0020603
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 00. Application dictionaryminoralways2012-05-24 18:282012-06-18 17:37
ReportervmromanosView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0MP13
StatusclosedFix in branchFixed in SCM revision081149efbc7a
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_12
OS VersionDebian 5.0Database version8.3.8Ant version1.7.0
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0020603: Module Language display logic

DescriptionThe module language field (Module window) is only displayed when the Translation Required flag is set. The information provided into the module language field is later on used as part of the module's identifier. For example is shown inside the Module Management Console.

The translation required flag represents whether the module contains strings to be translated, like elements or messages. However, sometimes a module just contain a dataset with Masterdata written into a language different from en_US that doesn't need to be translated (or most of the times it can't be translated).
For this kind of modules, there is no way to indicate that the module's language is not en_US. The only workaround is to set the translation required=Y, then change the Module Language, and finally set the translation required=N
Steps To ReproduceSee description
Proposed SolutionRemove display logic on Module Language field
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0049866)
alostale (developer)
2012-06-15 16:52

No risk
(0049867)
hgbot (developer)
2012-06-15 16:59

Repository: erp/devel/pi
Changeset: 081149efbc7a3249cc45ac895c5bc73bd8230dc6
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Jun 15 16:58:17 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/081149efbc7a3249cc45ac895c5bc73bd8230dc6 [^]

fixed bug 20603: removed display logic in Module's Language field

---
M src-db/database/sourcedata/AD_FIELD.xml
---
(0049900)
AugustoMauch (developer)
2012-06-18 17:37

Code reviewed and verified in pi@ba2db048e983

- Issue History
Date Modified Username Field Change
2012-05-24 18:28 vmromanos New Issue
2012-05-24 18:28 vmromanos Assigned To => alostale
2012-05-24 18:28 vmromanos Modules => Core
2012-06-15 16:52 alostale Note Added: 0049866
2012-06-15 16:59 hgbot Checkin
2012-06-15 16:59 hgbot Note Added: 0049867
2012-06-15 16:59 hgbot Status new => resolved
2012-06-15 16:59 hgbot Resolution open => fixed
2012-06-15 16:59 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/081149efbc7a3249cc45ac895c5bc73bd8230dc6 [^]
2012-06-18 17:37 AugustoMauch Note Added: 0049900
2012-06-18 17:37 AugustoMauch Status resolved => closed
2012-06-18 17:37 AugustoMauch Fixed in Version => 3.0MP13


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker